For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTCreate an account holder.
      • GETRetrieve an account holder.
      • GETList all account holders.
      • DELDeletes an account holder and their transactions
LogoLogo
Legacy DocsSign in
API ReferenceAccount Holders

Create an account holder.

POST
https://api.ntropy.com/v3/account_holders
POST
/v3/account_holders
$curl -X "POST" \
> "https://api.ntropy.com/v3/account_holders" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl" \
> -H "Content-Type: application/json" \
> -d '{
> "id": "35b927b6-6fda-40aa-93b8-95b47c2b2cad",
> "type": "consumer",
> "name": "John Doe"
> }'
$
1{
2 "id": "35b927b6-6fda-40aa-93b8-95b47c2b2cad",
3 "type": "consumer",
4 "created_at": "2024-03-30T00:00:00",
5 "name": "John Doe"
6}
Was this page helpful?
Previous

Retrieve an account holder.

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Request

This endpoint expects an object.
idstringRequired1-256 characters
The unique ID of the account holder of the transaction
typeenumRequired
The type of the account holder.
Allowed values:
namestring or nullOptional
The name of the account holder
category_idstring or nullOptional
The category set ID to use for this account holder's transactions

Response

Successful Response
idstring1-256 characters
The unique ID of the account holder of the transaction
typeenum
The type of the account holder.
Allowed values:
created_atdatetime
The timestamp of when the account holder was created.
namestring or null
The name of the account holder
category_idstring or null
The category set ID to use for this account holder's transactions

Errors

400
Bad Request Error
422
Unprocessable Entity Error